MultiReportVisitor (JaCoCo 0.6.3.201306030806 API)
Date: 2013-06-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jacoco.report
Class MultiReportVisitor

    java.lang.Object
      org.jacoco.report.MultiReportVisitor

All Implemented Interfaces:
  IReportGroupVisitor, IReportVisitor

    public class MultiReportVisitor

extends Object
implements IReportVisitor

A report visitor that is composed from multiple other visitors. This can be used to create more than one report format in one run.

Constructor Summary
`MultiReportVisitor(List<IReportVisitor> visitors)` New visitor delegating to all given visitors.

Method Summary
`void` | `visitBundle(IBundleCoverage bundle, ISourceFileLocator locator)` Called to add a bundle to the the report.
`void` | `visitEnd()` Has to be called after all report data has been emitted.
`IReportGroupVisitor` | `visitGroup(String name)` Called to add a new group to the report.
`void` | `visitInfo(List<SessionInfo> sessionInfos, Collection<ExecutionData> executionData)` Initializes the report with global information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jacoco.report.IReportGroupVisitor
`visitBundle, visitGroup`

Constructor Detail

### MultiReportVisitor

    public MultiReportVisitor(List<IReportVisitor> visitors)

  New visitor delegating to all given visitors.

  Parameters:
    `visitors` - visitors to delegate to

Method Detail

### visitInfo

    public void visitInfo(List<SessionInfo> sessionInfos,
                          Collection<ExecutionData> executionData)
                   throws IOException

  Description copied from interface: `IReportVisitor`
  Initializes the report with global information. This method has to be called before any other method can be called.

  Specified by:
    `visitInfo` in interface `IReportVisitor`
  Parameters:
    `sessionInfos` - list of chronological ordered `SessionInfo` objects where execution data has been collected for this report.
    `executionData` - collection of all `ExecutionData` objects that are considered for this report
  Throws:
    `IOException` - in case of IO problems with the report writer

### visitEnd

    public void visitEnd()
                  throws IOException

  Description copied from interface: `IReportVisitor`
  Has to be called after all report data has been emitted.

  Specified by:
    `visitEnd` in interface `IReportVisitor`
  Throws:
    `IOException` - in case of IO problems with the report writer

### visitBundle

    public void visitBundle(IBundleCoverage bundle,
                            ISourceFileLocator locator)
                     throws IOException

  Description copied from interface: `IReportGroupVisitor`
  Called to add a bundle to the the report.

  Specified by:
    `visitBundle` in interface `IReportGroupVisitor`
  Parameters:
    `bundle` - a bundle to include in the report
    `locator` - source locator for this bundle
  Throws:
    `IOException` - in case of IO problems with the report writer

### visitGroup

    public IReportGroupVisitor visitGroup(String name)
                                   throws IOException

  Description copied from interface: `IReportGroupVisitor`
  Called to add a new group to the report. The returned `IReportGroupVisitor` instance can be used to add nested bundles or groups. The content of the group has to be completed before this or any parent visitor can be used again ("deep first").

  Specified by:
    `visitGroup` in interface `IReportGroupVisitor`
  Parameters:
    `name` - name of the group
  Returns:
    visitor for the group's content
  Throws:
    `IOException` - in case of IO problems with the report writer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009-2013 Mountainminds GmbH & Co. KG. All Rights Reserved.